Docs
Sites APIAttribution

Lead sources for one property

A property's lead sources, tracking phone numbers and emails, and the rules a site evaluates in the browser to pick a source for a visit. Tag: `lead-sources:{property_id}`.

GET/api/sites/v1/properties/{property}/lead-sources

A property's lead sources, tracking phone numbers and emails, and the rules a site evaluates in the browser to pick a source for a visit. Tag: lead-sources:{property_id}.

Authorization

websiteToken
AuthorizationBearer <token>

A Sanctum token scoped to one website.

In: header

Path Parameters

property*string

The property's slug.

Header Parameters

X-Resi-Website?string

Website id. Overrides Host resolution for builds running where Host is meaningless. The token must still be scoped to this website.

If-None-Match?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/sites/v1/properties/string/lead-sources"
{  "data": {    "property": {      "id": "string",      "slug": "string",      "name": "string"    },    "fallback_phone": "string",    "fallback_email": "string",    "external_source_field": "string",    "sources": [      {        "id": 0,        "name": "string",        "code": "string",        "phone": "string",        "email": "string"      }    ],    "resolution": {      "source_observation_endpoint": "string",      "click_id_params": [        "string"      ],      "rules": [        {          "id": 0,          "priority": 0,          "lead_source_id": 0,          "condition_operator": "string",          "conditions": [            {              "type": "string",              "parameter": "string",              "pattern": "string",              "value": "string"            }          ]        }      ]    }  },  "meta": {    "cache": {      "tags": [        "string"      ],      "ttl": 0    }  }}